Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Interface Attachments

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AttachmentsImpl

public interface Attachments
extends Serializable

Access the Attachments of a Message. This interface essentially * firewalls the rest of Axis from any dependencies on javax.activation. *

* If javax.activation is not available, this is the *only* class that * will be compiled in org.apache.axis.attachments. * * @author Rob Jellinghaus (robj@unrealities.com) * @author Rick Rineholt

Field Summary
`static String` | `CIDprefix` The prefix used to assoc.
`static int` | `SEND_TYPE_DEFAULT` The default attatchment type.
`static int` | `SEND_TYPE_DIME` Use the DIME attatchment type.
`static int` | `SEND_TYPE_MAX`
`static int` | `SEND_TYPE_MIME` Use the SOAP with MIME attatchment send type.
`static int` | `SEND_TYPE_NONE` Use the DIME attatchment type.
`static int` | `SEND_TYPE_NOTSET` Use the default attatchment send type.

Method Summary
`Part` | `addAttachmentPart(Part newPart)` Adds an existing attachment to this list.
`Part` | `createAttachmentPart()` Create a new attachment Part in this Message.
`Part` | `createAttachmentPart(Object part)` Create a new attachment Part in this Message.
`void` | `dispose()` dispose of the attachments and their files; do not use the object * after making this call.
`Part` | `getAttachmentByReference(String reference)` This method should look at a refernce and determine if it is a CID: or url * to look for attachment.
`int` | `getAttachmentCount()` This is the number of attachments.
`Collection` | `getAttachments()` This method will return all attachments as a collection.
`Iterator` | `getAttachments(javax.xml.soap.MimeHeaders headers)` Retrieves all the `AttachmentPart` objects * that have header entries that match the specified headers.
`long` | `getContentLength()` Get the content length of the stream.
`String` | `getContentType()` Write the content to the stream.
`Part` | `getRootPart()` From the complex stream return the SOAP part.
`int` | `getSendType()` Determine if an object is to be treated as an attchment.
`boolean` | `isAttachment(Object value)` Determine if an object is to be treated as an attchment.
`void` | `removeAllAttachments()` Removes all `AttachmentPart` objects that have * been added to this `SOAPMessage` object.
`Part` | `removeAttachmentPart(String reference)` This method uses getAttacmentByReference() to look for attachment.
`void` | `setAttachmentParts(Collection parts)` Will the attachments of this message to that of the colleciton.
`void` | `setRootPart(Part newRoot)` Sets the root part of this multipart block * * @param newRoot the new root `Part`
`void` | `setSendType(int sendtype)` Set the format for attachments.
`void` | `writeContentToStream(OutputStream os)` Write the content to the stream.

Field Detail

### SEND_TYPE_NOTSET

    public static final int SEND_TYPE_NOTSET

  Use the default attatchment send type.

  See Also:
    Constant Field Values

### SEND_TYPE_MIME

    public static final int SEND_TYPE_MIME

  Use the SOAP with MIME attatchment send type.

  See Also:
    Constant Field Values

### SEND_TYPE_DIME

    public static final int SEND_TYPE_DIME

  Use the DIME attatchment type.

  See Also:
    Constant Field Values

### SEND_TYPE_NONE

    public static final int SEND_TYPE_NONE

  Use the DIME attatchment type.

  See Also:
    Constant Field Values

### SEND_TYPE_MAX

    public static final int SEND_TYPE_MAX

See Also:
  Constant Field Values

### SEND_TYPE_DEFAULT

    public static final int SEND_TYPE_DEFAULT

  The default attatchment type. MIME

  See Also:
    Constant Field Values

### CIDprefix

    public static final String CIDprefix

  The prefix used to assoc. attachments as content-id

  See Also:
    Constant Field Values

Method Detail

### addAttachmentPart

    public Part addAttachmentPart(Part newPart)
                           throws AxisFault

  Adds an existing attachment to this list. * Note: Passed part will be bound to this message. * * @param newPart new part to add * @return Part old attachment with the same Content-ID, or null. * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### removeAttachmentPart

    public Part removeAttachmentPart(String reference)
                              throws AxisFault

  This method uses getAttacmentByReference() to look for attachment. * If attachment has been found, it will be removed from the list, and * returned to the user. * * @param reference The reference that referers to an attachment. * @return The part associated with the removed attachment, or null. * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### removeAllAttachments

    public void removeAllAttachments()

  Removes all `AttachmentPart` objects that have * been added to this `SOAPMessage` object. *

  *

  This method does not touch the SOAP part.

### getAttachmentByReference

    public Part getAttachmentByReference(String reference)
                                  throws AxisFault

  This method should look at a refernce and determine if it is a CID: or url * to look for attachment. * * @param reference The reference in the xml that referers to an attachment. * @return The part associated with the attachment. * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### getAttachments

    public Collection getAttachments()
                              throws AxisFault

  This method will return all attachments as a collection. * * @return A collection of attachments. * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### getAttachments

    public Iterator getAttachments(javax.xml.soap.MimeHeaders headers)

  Retrieves all the `AttachmentPart` objects * that have header entries that match the specified headers. * Note that a returned attachment could have headers in * addition to those specified. * * @param headers a `MimeHeaders` * object containing the MIME headers for which to * search * @return an iterator over all attachments that have a header * that matches one of the given headers

### createAttachmentPart

    public Part createAttachmentPart(Object part)
                              throws AxisFault

  Create a new attachment Part in this Message. * Will actually, and always, return an AttachmentPart. * * @param part The part that is referenced * @return a new attachment part * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### createAttachmentPart

    public Part createAttachmentPart()
                              throws AxisFault

  Create a new attachment Part in this Message. * Will actually, and always, return an AttachmentPart. * * @return a new attachment part * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### setAttachmentParts

    public void setAttachmentParts(Collection parts)
                            throws AxisFault

  Will the attachments of this message to that of the colleciton. * * @param parts * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### getRootPart

    public Part getRootPart()

  From the complex stream return the SOAP part. * * @return will return the root part if the stream is supported, * otherwise null.

### setRootPart

    public void setRootPart(Part newRoot)

  Sets the root part of this multipart block * * @param newRoot the new root `Part`

### getContentLength

    public long getContentLength()
                          throws AxisFault

  Get the content length of the stream. * * @return the content length of * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### writeContentToStream

    public void writeContentToStream(OutputStream os)
                              throws AxisFault

  Write the content to the stream. * * @param os the stream * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### getContentType

    public String getContentType()
                          throws AxisFault

  Write the content to the stream. * * @return the content type * @throws org.apache.axis.AxisFault

  Throws:
    `AxisFault`

### getAttachmentCount

    public int getAttachmentCount()

  This is the number of attachments. * * @return the number of attachments

### isAttachment

    public boolean isAttachment(Object value)

  Determine if an object is to be treated as an attchment. * * @param value the value that is to be determined if * its an attachment. * @return True if value should be treated as an attchment.

### setSendType

    public void setSendType(int sendtype)

  Set the format for attachments. * * @param sendtype the format to send. * SEND_TYPE_MIME for Multipart Releated Mail type attachments. * SEND_TYPE_DIME for DIME type attachments.

### getSendType

    public int getSendType()

  Determine if an object is to be treated as an attchment. * * @return SEND_TYPE_MIME, SEND_TYPE_DIME, SEND_TYPE_NOTSET

### dispose

    public void dispose()

  dispose of the attachments and their files; do not use the object * after making this call.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.